Friday, July 8, 2011

Installing pg (ruby-pg) on Ubuntu (11.04)

I installed pg (ruby-pg) on Ubuntu 11.04.

1. Resources
Home Page: https://bitbucket.org/ged/ruby-pg/wiki/Home
My Previous Installation (on Ubuntu 10.10): http://socrateos.blogspot.com/2011/05/installing-pg-on-ubuntu-again.html
My First Installation: http://socrateos.blogspot.com/2010/08/sudo-gem1.html


2. Requirements
libpgsql-ruby (installed 1.9.1 version, using Synaptic)
postgresql-server-dev (installed 9.0 version, using Synaptic)

3. Installation
$ sudo gem install pg
Building native extensions.  This could take a while...
Successfully installed pg-0.11.0
1 gem installed
Installing ri documentation for pg-0.11.0...
Installing RDoc documentation for pg-0.11.0...

4. Test
$ irb
irb(main):001:0>; require 'pg'
=> true

1 comment:

  1. This comment has been removed by a blog administrator.

    ReplyDelete